This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239644 - [PATCH] Make userlist work in FedoraFlyingHigh KDM theme
[PATCH] Make userlist work in FedoraFlyingHigh KDM theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 04:47 EDT by Kevin Kofler
Modified: 2013-03-05 22:50 EST (History)
3 users (show)

See Also:
Fixed In Version: 7.0.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 11:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
FedoraFlyingHigh KDM theme patch to fix userlist (468 bytes, patch)
2007-05-10 04:47 EDT, Kevin Kofler
no flags Details | Diff

  None (edit)
Description Kevin Kofler 2007-05-10 04:47:40 EDT
Description of problem:
The userlist (face browser) doesn't show up in the KDM version of the 
FedoraFlyingHigh theme (even after enabling it in the kdmrc). The attached 
one-line fix makes it work.

Version-Release number of selected component (if applicable):
redhat-artwork 7.0.0

How reproducible:
Always

Steps to Reproduce:
1. Make sure you have the FedoraFlyingHigh KDM theme from redhat-artwork 
installed (see Bug 239495 for enabling it directly in redhat-artwork, or use 
redhat-artwork-kde).
2. Set DISPLAYMANAGER="KDE" in /etc/sysconfig/desktop.
3. Set UserList=true in /etc/kde/kdm/kdmrc.
4. Try the result.

Actual results:
The face browser works.

Expected results:
The face browser doesn't show up.

Additional info:
The fix is really one line: KDM doesn't support type="list", they use 
type="rect" for the userlist instead.

IMPORTANT: This patch is ONLY for the KDM theme, not the GDM version.
Comment 1 Kevin Kofler 2007-05-10 04:47:40 EDT
Created attachment 154451 [details]
FedoraFlyingHigh KDM theme patch to fix userlist
Comment 2 Kevin Kofler 2007-05-10 11:28:53 EDT
Fixed in 7.0.0-3.fc7 which has just been tagged f7-final.

Note You need to log in before you can comment on or make changes to this bug.